using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Windows;
using Machinations.Annotations;

namespace Machinations.WPF
{
    /// <summary>
    /// Window for changing cards order in cards deck
    /// </summary>
    public partial class CardsOrderEditor 
    {
        private readonly ObservableCollection<string> m_cards;

        public CardsOrderEditor(List<string> cards)
        {
            m_cards = new ObservableCollection<string>(cards);
            InitializeComponent();
        }

        public ObservableCollection<string> Cards
        {
            get { return m_cards; }
        }

        private void SaveClick(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }

        private void CancelClick(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }
    }
}
